# Class RecordedEvent

java.lang.Object
jdk.jfr.consumer.RecordedObject
jdk.jfr.consumer.RecordedEvent

public final class RecordedEvent extends RecordedObject
A recorded event.

Since:
  9

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Duration`
  `getDuration()`
  Returns the duration of the event, measured in nanoseconds.
  `Instant`
  `getEndTime()`
  Returns the end time of the event.
  `EventType`
  `getEventType()`
  Returns the event type that describes the event.
  `List<ValueDescriptor>`
  `getFields()`
  Returns the list of descriptors that describes the fields of the event.
  `RecordedStackTrace`
  `getStackTrace()`
  Returns the stack trace that was created when the event was committed, or `null` if the event lacks a stack trace.
  `Instant`
  `getStartTime()`
  Returns the start time of the event.
  `RecordedThread`
  `getThread()`
  Returns the thread from which the event was committed, or `null` if the thread was not recorded.

  ### Methods declared in class RecordedObject

  `getBoolean, getByte, getChar, getClass, getDouble, getDuration, getFloat, getInstant, getInt, getLong, getShort, getString, getThread, getValue, hasField, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getStackTrace

    public RecordedStackTrace getStackTrace()
    Returns the stack trace that was created when the event was committed, or `null` if the event lacks a stack trace.
    Returns:
      stack trace, or `null` if doesn't exist for the event

  - ### getThread

    public RecordedThread getThread()
    Returns the thread from which the event was committed, or `null` if the thread was not recorded.
    Returns:
      thread, or `null` if doesn't exist for the event

  - ### getEventType

    public EventType getEventType()
    Returns the event type that describes the event.
    Returns:
      the event type, not `null`

  - ### getStartTime

    public Instant getStartTime()
    Returns the start time of the event.

    If the event is an instant event, then the start time and end time are the same.

    Returns:
      the start time, not `null`

  - ### getEndTime

    public Instant getEndTime()
    Returns the end time of the event.

    If the event is an instant event, then the start time and end time are the same.

    Returns:
      the end time, not `null`

  - ### getDuration

    public Duration getDuration()
    Returns the duration of the event, measured in nanoseconds.
    Returns:
      the duration in nanoseconds, not `null`

  - ### getFields

    public List<ValueDescriptor> getFields()
    Returns the list of descriptors that describes the fields of the event.
    Overrides:
      `getFields` in class `RecordedObject`
    Returns:
      descriptors, not `null`